Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOTranceportDailyData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOTranceportDailyData.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOTranceportDailyData.cs	(revision 267)
@@ -103,23 +103,24 @@
         private string CreateSelectSQL()
         {
             // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-            string strcmd = "SELECT";
+            StringBuilder strcmd = new StringBuilder();
 
-            strcmd += "  PersonCode";                                       // 担当者コード
-            strcmd += ", DATE_FORMAT(AttendanceDate, '%Y/%m/%d')";            // 日報作成日
-            strcmd += ", StartDistance";                                    // 当日出発キロ数
-            strcmd += ", ComplateDistance";                                 // 当日終了キロ数
-            strcmd += ", TotalDistance";                                    // 当日合計キロ数
-            strcmd += ", OfficeGoFlg";                                      // 事務所出勤フラグ
-            strcmd += ", OfficeOutFlg";                                     // 事務所帰宅フラグ
-            strcmd += ", TrancePayGoFlg";                                   // 有料通勤出勤フラグ
-            strcmd += ", TrancePayOutFlg";                                  // 有料通勤帰宅フラグ
-            strcmd += ", WareHouseFlg";                                     // 資材置場フラグ
-            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";      // 更新年月日
-            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";     // 登録年月日
-            strcmd += " FROM TranceportDailyData";
+            strcmd.Append("SELECT");
+            strcmd.Append("  PersonCode");                                       // 担当者コード
+            strcmd.Append(", DATE_FORMAT(AttendanceDate, '%Y/%m/%d')");            // 日報作成日
+            strcmd.Append(", StartDistance");                                    // 当日出発キロ数
+            strcmd.Append(", ComplateDistance");                                 // 当日終了キロ数
+            strcmd.Append(", TotalDistance");                                    // 当日合計キロ数
+            strcmd.Append(", OfficeGoFlg");                                      // 事務所出勤フラグ
+            strcmd.Append(", OfficeOutFlg");                                     // 事務所帰宅フラグ
+            strcmd.Append(", TrancePayGoFlg");                                   // 有料通勤出勤フラグ
+            strcmd.Append(", TrancePayOutFlg");                                  // 有料通勤帰宅フラグ
+            strcmd.Append(", WareHouseFlg");                                     // 資材置場フラグ
+            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");      // 更新年月日
+            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");     // 登録年月日
+            strcmd.Append(" FROM TranceportDailyData");
 
-            return strcmd;
+            return strcmd.ToString();
         }
         #endregion
 
@@ -127,16 +128,17 @@
         public bool SelectAction(string AddSQLString, ref List<TranceportDailyData> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -150,7 +152,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -160,15 +162,17 @@
         public bool SelectAction(string AddSQLString, ref TranceportDailyData data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                strcmd = CreateSelectSQL() + AddSQLString;
+                // SQL作成
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
                 // データセット
@@ -182,7 +186,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -196,44 +200,44 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(TranceportDailyData work, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO TranceportDailyData";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO TranceportDailyData");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format("  {0}", work.PersonCode);                      // 担当者コード
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
+                strcmd.AppendFormat("  {0}", work.PersonCode);                      // 担当者コード
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                             , work.AttendanceDate.ToShortDateString()); // 日報作成日
 
-                strcmd += string.Format(", {0}", work.StartDistance);                   // 当日出発キロ数
-                strcmd += string.Format(", {0}", work.ComplateDistance);                // 当日終了キロ数
-                strcmd += string.Format(", {0}", work.TotalDistance);                   // 当日合計キロ数
-                strcmd += string.Format(", {0}", work.OfficeGoFlg);                     // 事務所出勤フラグ
-                strcmd += string.Format(", {0}", work.OfficeOutFlg);                    // 事務所帰宅フラグ
-                strcmd += string.Format(", {0}", work.TrancePayGoFlg);                  // 有料通勤出勤フラグ
-                strcmd += string.Format(", {0}", work.TrancePayOutFlg);                 // 有料通勤帰宅フラグ
-                strcmd += string.Format(", {0}", work.WareHouseFlg);                    // 資材置場フラグ
+                strcmd.AppendFormat(", {0}", work.StartDistance);                   // 当日出発キロ数
+                strcmd.AppendFormat(", {0}", work.ComplateDistance);                // 当日終了キロ数
+                strcmd.AppendFormat(", {0}", work.TotalDistance);                   // 当日合計キロ数
+                strcmd.AppendFormat(", {0}", work.OfficeGoFlg);                     // 事務所出勤フラグ
+                strcmd.AppendFormat(", {0}", work.OfficeOutFlg);                    // 事務所帰宅フラグ
+                strcmd.AppendFormat(", {0}", work.TrancePayGoFlg);                  // 有料通勤出勤フラグ
+                strcmd.AppendFormat(", {0}", work.TrancePayOutFlg);                 // 有料通勤帰宅フラグ
+                strcmd.AppendFormat(", {0}", work.WareHouseFlg);                    // 資材置場フラグ
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -242,53 +246,53 @@
         #region 複数追加処理
         public bool InsertAction(List<TranceportDailyData> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO TranceportDailyData";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO TranceportDailyData");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(TableColumn)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (TranceportDailyData work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.PersonCode);                      // 担当者コード
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
+                    strcmd.AppendFormat("  {0}", work.PersonCode);                      // 担当者コード
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')"
                                                 , work.AttendanceDate.ToShortDateString()); // 日報作成日
 
-                    strcmd += string.Format(", {0}", work.StartDistance);                   // 当日出発キロ数
-                    strcmd += string.Format(", {0}", work.ComplateDistance);                // 当日終了キロ数
-                    strcmd += string.Format(", {0}", work.TotalDistance);                   // 当日合計キロ数
-                    strcmd += string.Format(", {0}", work.OfficeGoFlg);                     // 事務所出勤フラグ
-                    strcmd += string.Format(", {0}", work.OfficeOutFlg);                    // 事務所帰宅フラグ
-                    strcmd += string.Format(", {0}", work.TrancePayGoFlg);                  // 有料通勤出勤フラグ
-                    strcmd += string.Format(", {0}", work.TrancePayOutFlg);                 // 有料通勤帰宅フラグ
-                    strcmd += string.Format(", {0}", work.WareHouseFlg);                    // 資材置場フラグ
+                    strcmd.AppendFormat(", {0}", work.StartDistance);                   // 当日出発キロ数
+                    strcmd.AppendFormat(", {0}", work.ComplateDistance);                // 当日終了キロ数
+                    strcmd.AppendFormat(", {0}", work.TotalDistance);                   // 当日合計キロ数
+                    strcmd.AppendFormat(", {0}", work.OfficeGoFlg);                     // 事務所出勤フラグ
+                    strcmd.AppendFormat(", {0}", work.OfficeOutFlg);                    // 事務所帰宅フラグ
+                    strcmd.AppendFormat(", {0}", work.TrancePayGoFlg);                  // 有料通勤出勤フラグ
+                    strcmd.AppendFormat(", {0}", work.TrancePayOutFlg);                 // 有料通勤帰宅フラグ
+                    strcmd.AppendFormat(", {0}", work.WareHouseFlg);                    // 資材置場フラグ
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -303,37 +307,37 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, TranceportDailyData data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE TranceportDailyData";
+                strcmd.Append("UPDATE TranceportDailyData");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
-                strcmd += string.Format(",AttendanceDate = STR_TO_DATE('{0}','%Y/%m/%d')"
+                strcmd.AppendFormat(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
+                strcmd.AppendFormat(",AttendanceDate = STR_TO_DATE('{0}','%Y/%m/%d')"
                                         , data.AttendanceDate.ToShortDateString());             // 日報作成日
 
-                strcmd += string.Format(",StartDistance = {0} ", data.StartDistance);           // 当日出発キロ数
-                strcmd += string.Format(",ComplateDistance = {0} ", data.ComplateDistance);     // 当日終了キロ数
-                strcmd += string.Format(",TotalDistance = {0} ", data.TotalDistance);           // 当日合計キロ数
-                strcmd += string.Format(",OfficeGoFlg = {0} ", data.OfficeGoFlg);               // 事務所出勤フラグ
-                strcmd += string.Format(",OfficeOutFlg = {0} ", data.OfficeOutFlg);             // 事務所帰宅フラグ
-                strcmd += string.Format(",TrancePayGoFlg = {0} ", data.TrancePayGoFlg);         // 有料通勤出勤フラグ
-                strcmd += string.Format(",TrancePayOutFlg = {0} ", data.TrancePayOutFlg);       // 有料通勤帰宅フラグ
-                strcmd += string.Format(",WareHouseFlg = {0} ", data.WareHouseFlg);             // 資材置場フラグ
+                strcmd.AppendFormat(",StartDistance = {0} ", data.StartDistance);           // 当日出発キロ数
+                strcmd.AppendFormat(",ComplateDistance = {0} ", data.ComplateDistance);     // 当日終了キロ数
+                strcmd.AppendFormat(",TotalDistance = {0} ", data.TotalDistance);           // 当日合計キロ数
+                strcmd.AppendFormat(",OfficeGoFlg = {0} ", data.OfficeGoFlg);               // 事務所出勤フラグ
+                strcmd.AppendFormat(",OfficeOutFlg = {0} ", data.OfficeOutFlg);             // 事務所帰宅フラグ
+                strcmd.AppendFormat(",TrancePayGoFlg = {0} ", data.TrancePayGoFlg);         // 有料通勤出勤フラグ
+                strcmd.AppendFormat(",TrancePayOutFlg = {0} ", data.TrancePayOutFlg);       // 有料通勤帰宅フラグ
+                strcmd.AppendFormat(",WareHouseFlg = {0} ", data.WareHouseFlg);             // 資材置場フラグ
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -349,18 +353,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM TranceportDailyData", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM TranceportDailyData", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -377,57 +381,57 @@
         /// <returns></returns>
         public bool UpdateFeild(int PersonCode, DateTime AttendanceDate, int SeqNo, int FeildNo, object value, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "UPDATE TranceportDailyData";
+                strcmd.Append("UPDATE TranceportDailyData");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
                 switch (FeildNo)
                 {
                     case (int)TableColumn.PersonCode:
-                        strcmd += string.Format(" PersonCode = {0}", (int)value);
+                        strcmd.AppendFormat(" PersonCode = {0}", (int)value);
                         break;
                     case (int)TableColumn.AttendanceDate:
-                        strcmd += string.Format(" AttendanceDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd.AppendFormat(" AttendanceDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
 
                     case (int)TableColumn.StartDistance:
-                        strcmd += string.Format(" StartDistance = {0}", (int)value);
+                        strcmd.AppendFormat(" StartDistance = {0}", (int)value);
                         break;
                     case (int)TableColumn.ComplateDistance:
-                        strcmd += string.Format(" ComplateDistance = {0}", (int)value);
+                        strcmd.AppendFormat(" ComplateDistance = {0}", (int)value);
                         break;
                     case (int)TableColumn.TotalDistance:
-                        strcmd += string.Format(" TotalDistance = {0}", (int)value);
+                        strcmd.AppendFormat(" TotalDistance = {0}", (int)value);
                         break;
                     case (int)TableColumn.OfficeGoFlg:
-                        strcmd += string.Format(" OfficeGoFlg = {0}", (int)value);
+                        strcmd.AppendFormat(" OfficeGoFlg = {0}", (int)value);
                         break;
                     case (int)TableColumn.OfficeOutFlg:
-                        strcmd += string.Format(" OfficeOutFlg = {0}", (int)value);
+                        strcmd.AppendFormat(" OfficeOutFlg = {0}", (int)value);
                         break;
                     case (int)TableColumn.TrancePayGoFlg:
-                        strcmd += string.Format(" TrancePayGoFlg = {0}", (int)value);
+                        strcmd.AppendFormat(" TrancePayGoFlg = {0}", (int)value);
                         break;
                     case (int)TableColumn.TrancePayOutFlg:
-                        strcmd += string.Format(" TrancePayOutFlg = {0}", (int)value);
+                        strcmd.AppendFormat(" TrancePayOutFlg = {0}", (int)value);
                         break;
                     case (int)TableColumn.WareHouseFlg:
-                        strcmd += string.Format(" WareHouseFlg = {0}", (int)value);
+                        strcmd.AppendFormat(" WareHouseFlg = {0}", (int)value);
                         break;
                 }
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += CreatePrimarykeyString(PersonCode, AttendanceDate, SeqNo);
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(CreatePrimarykeyString(PersonCode, AttendanceDate, SeqNo));
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -481,21 +485,21 @@
         /// <returns></returns>
         public string CreatePrimarykeyString(int PersonCode, DateTime AttendanceDate, int SeqNo = 0)
         {
-            string strWork = "";
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                strWork.AppendFormat(" WHERE PersonCode = {0}", PersonCode);
                 if (AttendanceDate != DateTime.MinValue)
-                    strWork += string.Format(" AND AttendanceDate = STR_TO_DATE('{0}','%Y/%m/%d')", AttendanceDate.ToShortDateString());
+                    strWork.AppendFormat(" AND AttendanceDate = STR_TO_DATE('{0}','%Y/%m/%d')", AttendanceDate.ToShortDateString());
                 if (SeqNo != 0)
-                    strWork += string.Format(" AND SeqNo = {0}", SeqNo);
+                    strWork.AppendFormat(" AND SeqNo = {0}", SeqNo);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
 
@@ -509,16 +513,16 @@
         public int SelectMaxAddDataCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(SeqNo), 0) FROM TranceportDailyData" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(SeqNo), 0) FROM TranceportDailyData {0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -532,7 +536,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
             return iRet;
         }
